package com.bonus.core.customer.service;


import com.bonus.core.common.thridutils.login.req.UpdateCustNameDTO;
import com.bonus.core.customer.model.applet.dto.AliPayQueryPhoneDTO;
import com.bonus.core.customer.model.applet.dto.AliPayUserAgreementQueryDTO;
import com.bonus.core.customer.model.applet.vo.AppletLoginVO;

import java.util.Map;

public interface AliPayService {
   AppletLoginVO userLoginAlipay(String code, Integer sourceType);

   void updateCustName(UpdateCustNameDTO updateCustNameDTO);

   String userSigning(Integer sourceType);

   Boolean userAgreementQuery(AliPayUserAgreementQueryDTO aliPayUserAgreementQueryDTO);

   String userAgreementQueryselect(AliPayUserAgreementQueryDTO aliPayUserAgreementQueryDTO);

   String paymentCodeDecod(String authCode);

   String decodeBarCode(String authCode);

   Boolean notifyVerify(Map<String, String> params);

   String queryAlipayPhone(AliPayQueryPhoneDTO content);

   String tripartiteNotify(Map<String, String> params);

   String enterpriseCodeNotify(Map<String, String> params);
}
